Bug 851770 - Text gone in Steam with wine-1.5.11-1.fc17.x86_64 update
Text gone in Steam with wine-1.5.11-1.fc17.x86_64 update
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 11:08 EDT by Jason Montleon
Modified: 2015-02-17 09:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:25:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Wine HQ 31374 None None None 2012-08-25 23:19:25 EDT

  None (edit)
Description Jason Montleon 2012-08-25 11:08:38 EDT
Description of problem:
After updating to wine-1.5.11-1.fc17.x86_64 text is gone in Steam menus.

It still starts, and menus work, but they have no text making navigation possible only by memory.

Version-Release number of selected component (if applicable):
wine-1.5.11-1.fc17.x86_64

How reproducible:
Always. I have 8 or 9 prefixes for various Steam games and testing a few showed the same problem.

Steps to Reproduce:
1. Install wine-1.5.9-1.fc17.x86_64
2. Install the Steam client
3. Upgrade to wine-1.5.11-1.fc17.x86_64
  
Actual results:
No text on Steam menus

Expected results:
Text on Steam menus should be visible

Additional info:
Downgrading back to 1.5.9-1 brings back text in Steam.
Comment 1 Michael Cronenworth 2012-08-25 23:19:25 EDT
Please see the bug I attached. There is a workaround listed in comment 6 that makes text come back in Steam and it works for me.
Comment 2 Jason Montleon 2012-08-26 11:34:15 EDT
That link is pointing back to comment 6 on this bug, but I did some googling based on your comment that there is a workaround.

If you're speaking of overriding/disabling dwrite or using -no-dwrite, yes it seems to have worked around the problem.
Comment 3 Jason Montleon 2012-08-26 11:36:07 EDT
Never mind, I missed the external tracker link above, sorry about that. Yes that seems to work around it nicely - thanks!
Comment 4 Fedora End Of Life 2013-07-03 15:41:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-01-09 12:20:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:25:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.